﻿Azure WebJobs SDK
===
The **Azure WebJobs SDK** is a framework that simplifies the task of writing background processing code that runs in Azure WebJobs.

The Azure WebJobs SDK includes a declarative binding and trigger system that works with Azure Storage Blobs, Queues and Tables as well as Service Bus. The binding system makes it incredibly easy to write code that reads or writes Azure Storage objects. The trigger system automatically invokes a function in your code whenever any new data is received in a queue or blob.

The **WebJobs** feature of **Azure Web Apps** provides an easy way for you to run programs such as services or background tasks
in a Web App. You can upload and run an executable file such as an .exe, .cmd, or .bat file to your Web App. In addition to the benefits listed above, using the Azure WebJobs SDK to write WebJobs also provides an integrated **Dashboard** experience in the Azure management portal, with rich monitoring and diagnostics information for your WebJob runs.

## Documentation

See [the documentation](https://github.com/Azure/azure-webjobs-sdk/wiki)

## License

This project is under the benevolent umbrella of the [.NET Foundation](http://www.dotnetfoundation.org/) and is licensed under [the MIT License](https://github.com/Azure/azure-webjobs-sdk/blob/master/LICENSE.txt)

## Questions?

See the [getting help](https://github.com/Azure/azure-webjobs-sdk/wiki#getting-help) section in the wiki.
